%define name		eleven
%define version		0.6
%define release		2%{_my_ext}
Summary:	The Eleven programming language.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Languages
Source:		%{name}-%{version}.tar.gz
URL:		http://eleven.sourceforge.net/
BuildPreReq:	bison
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	guile
Distribution:	%{distribution}
Vendor:		%{vendor}
Packager:	%{packager}

%description
Eleven is a programming language for creating bulletproof, scalable
web applications. Eleven offers a roughly 20 to 1 savings in code size
over traditional server programming languages like PHP, ASP, and
mod_perl.  From high-level source code with a C-like syntax, the
Eleven compiler generates database-backed web applications that are
fault-tolerant, offer a high level of data security, and can be scaled
through replication.  The compiler produces complete mod_perl programs
that run under the Apache web server.  No special runtime support is
required.

%prep
%setup -q

%build
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
make install prefix=%{buildroot}/usr
chmod -R u+w %{buildroot}/*

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/bin/c11
/usr/bin/dump11
/usr/bin/dump11-acme
/usr/bin/dump11-intermediate
/usr/bin/db11-create-database
/usr/bin/db11-create-tables
/usr/bin/db11-drop-tables
/usr/lib/perl5/site_perl/runtime11.pm
%dir /usr/share/eleven
/usr/share/eleven/compiler
/usr/share/eleven/html
/usr/share/eleven/examples
%docdir /usr/share/eleven/doc
/usr/share/eleven/doc/

/usr/share/man/man1/c11.1.bz2
/usr/share/man/man1/dump11-acme.1.bz2
/usr/share/man/man1/dump11.1.bz2

%changelog
* Fri Oct 7 2005 Scott Grayban <sgrayban@borgnet.us>
 - rebuild for 2006

* Fri Dec 10 2004 Scott Grayban <sgrayban@borgnet.us> 0.6-1bgn
- New version

* Tue Nov 23 2004 Scott Grayban <sgrayban@borgnet.us>
- Build for MDK 10.1

* Sun Oct 17 2004 James Sparenberg <james@opencountry.org>
- First Build for MDK 10

* Sun Oct 17 2004 Joe Morrison <jdm@statesafe.org>
- Implemented Javascript workaround for IE's brain damaged handling of button
  tag, to enable launcher and table editor functions to work under IE
- Changed HTML to avoid using proportional column widths, since they don't
  appear to work properly under Internet Explorer, Safari, or Opera (!)
- Various style sheet tweaks to improve page layout and improve HTML standards compliance
- Made colon a legal symbol character to enable calling more external Perl functions
- Changed Makefile to avoid using install -D option (not supported on some Unixes)

* Mon Oct 11 2004 Joe Morrison <jdm@statesafe.org>
- Implemented statesafe navigation system based on new "launcher" datatype
- Updated schema generation code and dump11 utility to support launcher variables
- Added mechanism to call external Perl functions
- Improved web page layout
- Added option to suppress header display
- Added support for displaying images
- Added positioning options to print/image/edit statements
- Added ability to specify CSS class for each print/image/edit statement
- Created a new demo vaguely resembling a well-known server manager application
- Fixed miscellaneous bugs

* Thu Sep 23 2004 Joe Morrison <jdm@statesafe.org>
- Initial release
